# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit dab8326e6428a5db6b7a6e08f40fa1e5ac77bc6f
    parent cf65699a29683bff9d50187c18b160e21a538f48
    Author: Anselm R Garbe <garbeam@gmail.com>
    Date:   Fri, 10 Jul 2009 16:27:14 +0100

    only compile tdump if DEBUG flag is set

    Diffstat:
    Mst.c | 44++++++++++++++++++++------------------------

    1 file changed, 20 insertions(+), 24 deletions(-)
    diff --git a/st.c b/st.c
    @@ -43,11 +43,6 @@ enum { SCupdate, SCredraw };
     typedef int Color;

     typedef struct {
    -	KeySym k;
    -	char s[ESCSIZ];
    -} Key;
    -
    -typedef struct {
     	char c;     /* character code  */
     	char mode;  /* attribute flags */
     	Color fg;   /* foreground      */
    @@ -125,7 +120,6 @@ static void tcpos(int);
     static void tcursor(int);
     static void tdeletechar(int);
     static void tdeleteline(int);
    -static void tdump(void);
     static void tinsertblank(int);
     static void tinsertblankline(int);
     static void tmoveto(int, int);
    @@ -170,6 +164,26 @@ static int cmdfd;
     static pid_t pid;
     static int running;

    +#ifdef DEBUG
    +void
    +tdump(void) {
    +	int row, col;
    +	Glyph c;
    +
    +	for(row = 0; row < term.row; row++) {
    +		for(col = 0; col < term.col; col++) {
    +			if(col == term.c.x && row == term.c.y)
    +				putchar('#');
    +			else {
    +				c = term.line[row][col];
    +				putchar(c.state & CRset ? c.c : '.');
    +			}
    +		}
    +		putchar('\n');
    +	}
    +}
    +#endif
    +
     void
     die(const char *errstr, ...) {
     	va_list ap;
    @@ -798,24 +812,6 @@ tputs(char *s, int len) {
     }

     void
    -tdump(void) {
    -	int row, col;
    -	Glyph c;
    -
    -	for(row = 0; row < term.row; row++) {
    -		for(col = 0; col < term.col; col++) {
    -			if(col == term.c.x && row == term.c.y)
    -				putchar('#');
    -			else {
    -				c = term.line[row][col];
    -				putchar(c.state & CRset ? c.c : '.');
    -			}
    -		}
    -		putchar('\n');
    -	}
    -}
    -
    -void
     tresize(int col, int row) {
     	int i;
     	Line *line;